package org.jboss.seam.example.selectitems;

import java.util.List;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;

import org.jboss.seam.annotations.Factory;
import org.jboss.seam.example.selectitems.Client.Discount;
import org.jboss.seam.selectitems.jsf.EntityConverter;

public interface ClientAction {

	public void begin();

	public void destroy();

	public List<ClientType> buildClientTypes();
	
	public List<Department> buildDepartments();
	
	public void apply();

	@Factory("discounts")
	public List<Discount> buildDiscounts();

	public String getTest();

	public void setTest(String test);

	@SuppressWarnings("unchecked")
	@Factory("factories")
	public List<Factory> buildFactories();

	public Converter getDepartmentConverter();

}