package org.jboss.seam.example.selectitems;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;

import org.jboss.seam.annotations.Name;

@Entity
@Name("department")
public class Department implements Serializable {
	
	private static final long serialVersionUID = -6432191216784409076L;

	@Id 
	private DepartmentId id;
	
	private String description;

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	public String getManager() {
		return id.getManager();
	}

	public DepartmentId getId() {
		return id;
	}

	public void setId(DepartmentId id) {
		this.id = id;
	}

	public boolean equals(Object other) {
		if (other instanceof Department) {
			Department that = (Department) other;
			return this.id.equals(that.id);
		} else {
			return false;
		}
	}

}
