package org.jboss.seam.selectitems.ui;

import javax.faces.component.UIComponent;

import org.jboss.seam.ui.tag.UIComponentTagBase;

public class SeamSelectItemsTag extends UIComponentTagBase {
	
	private String cacheKey;
	private String cacheRegion;
	private String cache;
	private String noSelectionLabel;
	private String hideNoSelection;
	private String var;
	private String label;
	private String key;
	private String disabled;
	
	
	@Override
	protected void setProperties(UIComponent component) {
		super.setProperties(component);
		setStringProperty(component, "cacheKey", cacheKey);
		setStringProperty(component, "cacheRegion", cacheRegion);
		setBooleanProperty(component, "cache", cache);
		setStringProperty(component, "noSelectionLabel", noSelectionLabel);
		//setValueBinding(component, "hideNoSelection", hideNoSelection);
		setStringProperty(component, "var", var);
		setStringProperty(component, "label", label);
		setStringProperty(component, "key", key);
		setBooleanProperty(component, "disabled", disabled);
	}

	@Override
	public String getComponentType() {
		return UISeamSelectItems.COMPONENT_TYPE;
	}

	@Override
	public String getRendererType() {
		return null;
	}

	public void setCache(String cache) {
		this.cache = cache;
	}

	public void setCacheKey(String cacheKey) {
		this.cacheKey = cacheKey;
	}

	public void setCacheRegion(String cacheRegion) {
		this.cacheRegion = cacheRegion;
	}

	public void setDisabled(String disabled) {
		this.disabled = disabled;
	}

	public void setHideNoSelection(String hideNoSelection) {
		this.hideNoSelection = hideNoSelection;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public void setNoSelectionLabel(String noSelectionLabel) {
		this.noSelectionLabel = noSelectionLabel;
	}

	public void setVar(String var) {
		this.var = var;
	}

}
