<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://jboss.com/products/seam/taglib" prefix="s" %>
<%@ taglib uri="http://jboss.com/products/seam/selectitems/taglib" prefix="si" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<f:view>
	<head>
	<title>SelectItems example</title>
	</head>
	
	<body>
		<h1>SelectItems example</h1>
		<h2>Client Edit page</h2>
		<h:form>
			<h:panelGrid columns="3">
				<h:outputText value="Name" /><h:inputText value="#{client.name}" /><h:outputText />
				<h:outputText value="Address" /><h:inputTextarea value="#{client.address}" /><h:outputText />
				<h:outputText value="Telephone Number" /><h:inputText value="#{client.telephoneNumber}" /><h:outputText />
				<h:outputText value="Fax Number" /><h:inputText value="#{client.faxNumber}" /><h:outputText />
				<h:outputText value="Discount to give"  id="discount"/><h:selectOneMenu value="#{client.discount}"><si:selectItems value="#{discounts}" var="discount" label="#{messages[discount.labelKey]}" noSelectionLabel="Please Select..."/></h:selectOneMenu><h:message style="color: red" for="discount" />
				<h:outputText value="Client Type" /><h:selectOneListbox value="#{client.clientType}" required="true" id="clientType"><si:selectItems value="#{clientTypes}" var="clientType" label="#{clientType.description}" noSelectionLabel="Please Select..."/></h:selectOneListbox><h:message style="color: red" for="clientType" />
				<h:outputText value="Client managed by department" /><h:selectOneListbox value="#{client.department}" converter="#{clientAction.departmentConverter}" id="client_department"><si:selectItems value="#{departments}" var="department" label="#{department.description} (#{department.manager})"/></h:selectOneListbox><h:message style="color: red" for="client_department" />
				<h:outputText value="Factory Manager (capacity)" /><h:selectManyListbox value="#{client.factories}" id="factory"><si:selectItems value="#{factories}" var="factory" label="#{factory.manager} (#{factory.capacity})"/><si:convertEntity entityClass="org.jboss.seam.example.selectitems.Factory" /></h:selectManyListbox><h:message style="color: red" for="factory" />
				<h:commandButton value="Apply Changes" action="#{clientAction.apply}" /><h:outputText value="Messages" style="font-weight: bold" /><h:messages globalOnly="true"/>
			</h:panelGrid>
		</h:form>		
	</body>
</f:view>

</html>